cURL
curl --request GET \
--url https://api.staging.qyl.dev/api/v1/deployments/{deploymentId}import requests
url = "https://api.staging.qyl.dev/api/v1/deployments/{deploymentId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.staging.qyl.dev/api/v1/deployments/{deploymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deployment.id": "<string>",
"service.name": "<string>",
"service.version": "2.1.0",
"environment": "development",
"status": "pending",
"strategy": "rolling",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"duration_s": 1,
"deployed_by": "<string>",
"git_commit": "<string>",
"git_branch": "<string>",
"previous_version": "2.1.0",
"rollback_target": "<string>",
"replica_count": 123,
"healthy_replicas": 123,
"error_message": "<string>"
}{
"type": "about:blank",
"title": "Not Found",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_type": "<string>",
"resource_id": "<string>"
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}Deployments
Get apiv1deployments 1
Get deployment by ID
GET
/
api
/
v1
/
deployments
/
{deploymentId}
cURL
Path Parameters
Response
The request has succeeded.
Complete deployment record
Deployment ID
Service name
Service version
Pattern:
^(0|[1-9]\d*)\.(0|[1-9]\d*)\.(0|[1-9]\d*)(?:-((?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*)(?:\.(?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*))*))?(?:\+([0-9a-zA-Z-]+(?:\.[0-9a-zA-Z-]+)*))?$Example:
"2.1.0"
Environment
Available options:
development, testing, staging, production, preview, canary Status
Available options:
pending, in_progress, success, failed, rolled_back, cancelled Strategy
Available options:
rolling, blue_green, canary, recreate, ab_test, shadow, feature_flag Start time
End time
Duration in seconds
Required range:
x >= 0Deployed by (user/system)
Git commit SHA
Git branch
Previous version
Pattern:
^(0|[1-9]\d*)\.(0|[1-9]\d*)\.(0|[1-9]\d*)(?:-((?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*)(?:\.(?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*))*))?(?:\+([0-9a-zA-Z-]+(?:\.[0-9a-zA-Z-]+)*))?$Example:
"2.1.0"
Rollback target (if rolled back)
Replica count
Healthy replica count
Error message (if failed)
Was this page helpful?
